=== debian/control ===
Source: mupen64plus-input-sdl
Section: games
Priority: optional
Maintainer: Tobias Loose <TobiasLoose@gmx.de>
Uploaders: Sven Eckelmann <sven@narfation.org>
DM-Upload-Allowed: yes
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/mupen64plus/
Vcs-Git: git://anonscm.debian.org/collab-maint/mupen64plus-input-sdl.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mupen64plus-input-sdl.git
Build-Depends:
 debhelper (>= 8.1.3),
 dpkg-dev (>= 1.16.0),
 libmupen64plus-dev,
 libsdl1.2-dev | libsdl-dev,

Package: mupen64plus-input-sdl
Architecture: any-i386 any-amd64
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 mupen64plus-input-abi-1,
Provides:
 mupen64plus-input,
Description: sdl input device plugin for mupen64plus
 Input device plugin for mupen64plus which can use either keyboard or all by
 SDL supported input devices. All devices are autoconfigured using a
 database supplied with this package or through manual button mappings inside
 the local mupen64plus configuration.

Package: mupen64plus-input-sdl-dbg
Section: debug
Priority: extra
Architecture: any-i386 any-amd64
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 mupen64plus-input-sdl (= ${binary:Version}),
Description: sdl input device plugin for mupen64plus debug symbols package
 Input device plugin for mupen64plus which can use either keyboard or all by
 SDL supported input devices. All devices are autoconfigured using a
 database or through manual button mappings inside the local mupen64plus
 configuration.
 .
 This package contains the debug files.
