=== debian/watch ===
version=3

http://bitbucket.org/richard42/mupen64plus-input-sdl/downloads/ \
	/richard42/mupen64plus-input-sdl/downloads/mupen64plus-input-sdl-src-(.*).tar.gz
