## mupen64plus-input-sdl 1.99.4+35+db912fcfb862

=== debian/changelog ===
mupen64plus-input-sdl (1.99.4+35+db912fcfb862-1) experimental; urgency=low

  * New upstream snapshot from revision db912fcfb8621cd4060d9355d68bf4efa56387ff
  * Remove unnecessary --as-needed from linker flags in debian/rules

 -- Sven Eckelmann <sven@narfation.org>  Sat, 12 Nov 2011 21:39:59 +0100

mupen64plus-input-sdl (1.99.4+30+02519b25976b-1) experimental; urgency=low

  * New upstream snapshot from revision 02519b25976b988cfd40af19acf383da4bd8f92f
  * debian/control:
    - Depend on mupen64plus-*-abi-2
    - Build-Depend on libmupen64plus-dev >= 1.99.4+77+8bb0e6b3ae3a-1
  * Don't mix implicit and explicit rules to prevent FTBFS with make 3.82
  * debian/patches:
    - Remove upstream merged patches 2controllers-per-usb-device.patch,
      patches/inputautocfg.patch, mouse_sensitivity.patch,
      rewrite_makefile.patch
  * Update years in debian/copyright
  * Add debian/get-orig-source.sh for snapshots

 -- Sven Eckelmann <sven@narfation.org>  Mon, 29 Aug 2011 17:05:38 +0200
