=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Build-Depends:
  debhelper (>= 8.1.3),
  dpkg-dev (>= 1.16.0),
- libmupen64plus-dev,
+ libmupen64plus-dev (>= 1.99.4+77+8bb0e6b3ae3a),
  libsdl1.2-dev | libsdl-dev,
 
 Package: mupen64plus-input-sdl
@@ -22,7 +22,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- mupen64plus-input-abi-1,
+ mupen64plus-input-abi-2,
 Provides:
  mupen64plus-input,
 Description: sdl input device plugin for mupen64plus
