## mupen64plus-input-sdl 1.99.5

=== debian/changelog ===
mupen64plus-input-sdl (1.99.5-2) unstable; urgency=low

  [ Simon Ruderich ]
  * Let debhelper set the buildflags implicitly

  [ Sven Eckelmann ]
  * debian/patches:
    - Add huijia_adapter_config.patch, Fix for HuiJia adapter auto-config
    - Add hyperkin_tomee_config.patch, Added auto-config for Hyperkin Tomee N64
      controller
    - Add verbose_warning.patch, Change warning message (SDL joystick not
      available) to VERBOSE
  * Install architecture independent files into /usr/share/games/mupen64plus

 -- Sven Eckelmann <sven@narfation.org>  Tue, 15 May 2012 23:21:45 +0200

mupen64plus-input-sdl (1.99.5-1) unstable; urgency=low

  * New Upstream Version
  * Update debian/copyright
  * Enable all hardening flags in debian/rules
  * Upgraded to policy 3.9.3, no changes required
  * Upgrade debhelper compat to v9
  * Use buildflags.mk to set security flags in debian/rules

 -- Sven Eckelmann <sven@narfation.org>  Sat, 17 Mar 2012 20:18:35 +0100
