=== debian/changelog ===
mupen64plus-input-sdl (2.0-3) unstable; urgency=low

  * debian/patches:
    - Add autoconfig_sidewinder_gamepad_pro.patch, Add support for Microsoft
      SideWinder Game Pad Pro USB version 1.0
    - Add autoconfig_retrolink_n64.patch, Add support for Retrolink N64 USB
      clone
    - Add autoconfig_nintendo_wii_remote_pro.patch, Add support for Nintendo
      Wii Remote Pro Controller
    - Add fallback_nomousegrab.patch, fall back to key/joy mappings for a
      controller with mouse=true when the mouse is not grabbed
    - Add autoconfig_xinput.patch, Add support for XInput version of Xbox360
      controller
  * Upgraded to policy 3.9.5, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Fri, 13 Dec 2013 17:29:55 +0100

mupen64plus-input-sdl (2.0-2) unstable; urgency=low

  * debian/patches:
    - Add xboxdrv_rumble_war.patch, Add workaround for missing rumble with
      xboxdrv
    - Add autoconfig_jess_controller.patch, Jess Technology Co., Ltd. USB
      Game Controllers
    - Add autoconfig_szmy_gamepad3.patch, Add support for SZMY-POWER CO.,LTD.
      GAMEPAD 3 TURBO
    - Add autoconfig_twin_gamepad.patch, Twin USB Vibration Gamepad
    - Add autoconfig_wiimote_classic.patch, Add supportt for Nintendo Wiimote
      Classic

 -- Sven Eckelmann <sven@narfation.org>  Sat, 31 Aug 2013 13:42:13 +0200

mupen64plus-input-sdl (2.0-1) unstable; urgency=low

  * New Upstream Version
  * Upload to unstable
  * debian/patches:
    - Update sdl2_forcefeedback.patch, Support rumble effects when only
      a single effect can be registered
    - Remove upstream merged cflags_gnu_source.patch
    - Rebase sdl2_keysym.patch and sdl2_mousemode.patch on 2.0
  * debian/control:
    - Build-Depend on debhelper 9.20130604 for support of parameters when
      detecting targets in dh_auto_*
  * debian/rules:
    - Work around new debhelper 9.20130624 dh_auto_{clean,test} behavior
      which is causing a FTBFS by adding an explicit
      override_dh_auto_{clean,test} rule
  * debian/watch:
    - Verify new upstream versions using GPG key 954F81B094AA5BB226F5

 -- Sven Eckelmann <sven@narfation.org>  Fri, 05 Jul 2013 22:52:42 +0200

mupen64plus-input-sdl (2.0~rc2+1+9aaeab081d97-2) experimental; urgency=low

  * debian/rules:
    - Switch from SDL 1.2 to SDL 2.0
  * debian/control:
    - Depend on libsdl2-dev instead of libsdl1.2-dev
    - Add Break for pre-SDL2 libmupen64plus2
  * debian/patches:
    - Add sdl2_forcefeedback.patch, Use SDL2 to play force feedback effects
    - Add sdl2_keysym.patch, Use SDL1.2 keysym in the config when using SDL2
    - Add sdl2_mousemode.patch, Add support for mouse based analog stick using
      SDL2
    - Add cflags_gnu_source.patch, Add CFLAGS -D_GNU_SOURCE to allow usage of
      strcasestr

 -- Sven Eckelmann <sven@narfation.org>  Sun, 23 Jun 2013 13:25:01 +0200

mupen64plus-input-sdl (2.0~rc2+1+9aaeab081d97-1) experimental; urgency=low

  * New Upstream Snapshot from 9aaeab081d973a23590a7c27b99c28f2944cd5c3

 -- Sven Eckelmann <sven@narfation.org>  Wed, 05 Jun 2013 13:25:04 +0200

mupen64plus-input-sdl (1.99.5+37+60cf41b9115f-1) experimental; urgency=low

  * New Upstream Snapshot from 60cf41b9115f93fe511e427792849e1fcbc1a6c4
  * Update debian/copyright
  * Enable link-time optimization in debian/rules similar to upstream

 -- Sven Eckelmann <sven@narfation.org>  Sun, 19 May 2013 21:04:43 +0200

mupen64plus-input-sdl (1.99.5+31+a5814ef06e8f-1) experimental; urgency=low

  * New Upstream Snapshot from a5814ef06e8f23433168c38010299711cbe1b658
  * Disable extra debug code in release builds with -DNDEBUG in
    debian/rules

 -- Sven Eckelmann <sven@narfation.org>  Fri, 08 Feb 2013 10:15:27 +0100

mupen64plus-input-sdl (1.99.5+14+862d5c75a547-1) experimental; urgency=low

  * New Upstream Snapshot from 862d5c75a547cc25d8d522270d803acfa1c0e1a2
  * Remove obsolete DM-Upload-Allowed in debian/control

 -- Sven Eckelmann <sven@narfation.org>  Sun, 02 Dec 2012 22:32:16 +0100

mupen64plus-input-sdl (1.99.5+12+3aea2df28837-1) experimental; urgency=low

  * New Upstream Snapshot from 3aea2df288376704d686622130c0e8e1115922ef
  * Upgraded to policy 3.9.4, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Tue, 30 Oct 2012 08:41:37 +0100

mupen64plus-input-sdl (1.99.5+9+e34d3baa737b-1) experimental; urgency=low

  * New Upstream Snapshot from e34d3baa737bec7cc6cfa385c30ca42c30ccf99d

 -- Sven Eckelmann <sven@narfation.org>  Tue, 11 Sep 2012 21:08:33 +0200

mupen64plus-input-sdl (1.99.5+8+26e230321985-1) experimental; urgency=low

  * New Upstream Snapshot from 26e230321985cdb3a3673aed0b678df0eb337a07
  * debian/patches:
    - Remove upstream merged huijia_adapter_config.patch,
      hyperkin_tomee_config.patch, verbose_warning.patches

 -- Sven Eckelmann <sven@narfation.org>  Sun, 17 Jun 2012 00:46:25 +0200
