=== debian/control ===
--- 
+++ 
@@ -3,16 +3,15 @@
 Priority: optional
 Maintainer: Tobias Loose <TobiasLoose@gmx.de>
 Uploaders: Sven Eckelmann <sven@narfation.org>
-DM-Upload-Allowed: yes
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://code.google.com/p/mupen64plus/
 Vcs-Git: git://anonscm.debian.org/collab-maint/mupen64plus-input-sdl.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mupen64plus-input-sdl.git
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 9.20130604),
  dpkg-dev (>= 1.16.1.1),
  libmupen64plus-dev (>= 1.99.5),
- libsdl1.2-dev | libsdl-dev,
+ libsdl2-dev,
 
 Package: mupen64plus-input-sdl
 Architecture: any-i386 any-amd64
@@ -26,6 +25,8 @@
  mupen64plus-input-abi-2,
 Provides:
  mupen64plus-input,
+Breaks:
+ libmupen64plus2 (<< 2.0),
 Description: sdl input device plugin for mupen64plus
  Input device plugin for mupen64plus which can use either keyboard or all by
  SDL supported input devices. All devices are autoconfigured using a
